## Index

### Type aliases

- App

### Functions

- create
- deleteByDomain
- index
- publish

## Type aliases

### App

App: { domains: string[]; insertedAt: string; modifiedAt: string }

- Defined in apps/index.ts:9

#### Type declaration

- ##### domains: string[]

- ##### insertedAt: string

- ##### modifiedAt: string

## Functions

### create

- create(subdomain: Maybe<string>): Promise<App>

- - Defined in apps/index.ts:62

  Creates a new app, assigns an initial subdomain, and sets an asset placeholder

  #### Parameters

  - ##### subdomain: Maybe<string>

    Subdomain to create the fission app with

  #### Returns Promise<App>

### deleteByDomain

- deleteByDomain(domain: string): Promise<void>

- - Defined in apps/index.ts:105

  Destroy app by any associated domain

  #### Parameters

  - ##### domain: string

    The domain associated with the app we want to delete

  #### Returns Promise<void>

### index

- index(): Promise<App[]>

- - Defined in apps/index.ts:27

  Get A list of all of your apps and their associated domain names

  #### Returns Promise<App[]>

### publish

- publish(domain: string, cid: CID): Promise<void>

- - Defined in apps/index.ts:148

  Updates an app by CID

  #### Parameters

  - ##### domain: string

  - ##### cid: CID

  #### Returns Promise<void>

Generated using TypeDoc